Subject: bug#7296: display-pixel-height not enough

From: "Drew Adams" <[email-masked]>
Date: Fri, 29 Oct 2010 07:51:25 -0700

I have not been following this thread.  I'll just offer this, in case it helps.

In my library fit-frame.el, I take into account the value returned by function
`winmgr-display-available-pixel-bounds', which is apparently available on
MacIntosh (but maybe it's only available for Aquamacs - dunno). I believe that
that function takes into account various areas of the Mac screen that are
unavailable for Emacs display.  On that platform, my code uses the sizes
returned by that function instead of using `x-display-pixel-(height|width)',
when calculating the frame size.

David Reitter (Aquamacs) can tell you more about that function, if you're
interested.  If you're thinking of doing something similar for Windows, you
might want to contact him about it.